---
title: "Konto"
source: /de/gcxone/api/account
locale: de
updated: 2026-09-04
---
Operationen an Konten‑Ressourcen. 11 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## POST /account/

NEU ERSTELLEN Konten

### Anfrage‑Body

Konto hinzufügen

```json
{
  "payload": {
    "id": "string",
    "name": "string (required)",
    "email": "string (required)",
    "firstName": "string",
    "lastName": "string",
    "isActive": "boolean",
    "profileVisible": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "latitude": "string",
    "longitude": "string",
    "plusCode": "string",
    "what3Words": "string",
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "accountType": [
      "Customer"
    ],
    "websiteUrl": "string",
    "jsonSchema": "object",
    "parentJsonSchemaResult": "object",
    "parentAccountId": "string",
    "parent": "string",
    "serviceProvidersEventProviderId": "string",
    "roles": [
      "string"
    ],
    "geoCordinates": "object"
  }
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## GET /account/accountByName

Konto nach Name abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| name | query | string | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## POST /account/bulkUpdateActiveInactive

Mehrfachaktualisierung von SPs nach übergeordneter Konten-ID

### Anfragekörper

SPs aktualisieren

```json
{
  "parentAccountId": "string"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "customer",
      "serviceProviderName": "sp"
    }
  ]
}
```

## POST /account/filter

Ruft die Kontoliste mit Filterung, Sortierung und Paginierung ab. Es ermöglicht die Suche auf hierarchischer Ebene. Sie kann anhand einer angegebenen Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dadurch besteht die Möglichkeit, zusätzliche Entitätsfelder in der Antwort zu erhalten. Außerdem werden Konfigurations-Metadaten zur Entität bereitgestellt.

### Anfragekörper

Kontenfilterung und -sortierung

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Account",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "name": "app",
      "email": "app@test.com",
      "isActive": "true",
      "phoneNumber": "",
      "streetName": "",
      "city": "",
      "code": "",
      "uniqueId": "da7cf69b4c714f80d8466c714f683a8173cdb",
      "parentAccountId": "acf9b10a2c714f683a8173cdb7f417cf4a4"
    },
    {
      "name": "Customer",
      "email": "customer@test.com",
      "isActive": "true",
      "phoneNumber": "",
      "streetName": "",
      "city": "",
      "code": "",
      "uniqueId": "c714f683a8173cdb58acf9b10a7cf69b",
      "parentAccountId": "acf9b10a2c714f683a8173cdb7f417cf4a4"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## POST /account/listByAccountId

Kunden nach übergeordneter Konten-ID abrufen

### Anfragekörper

Kunden abrufen

```json
{
  "parentAccountId": "string"
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg | object |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Example `200` response:

```json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "customer",
      "serviceProviderName": "sp"
    }
  ]
}
```

## GET /account/{id}

Konto nach Id abrufen

### Parameters

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| ID | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## PUT /account/{id}

Vorhandenes Konto aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| ID | Pfad | Zeichenkette | ja |  |

### Anfrage-Body

Um ein Konto hinzuzufügen oder zu aktualisieren, geben Sie die vorhandene ID an.

```json
{
  "payload": {
    "id": "string",
    "uniqueId": "string",
    "parent": "string",
    "parentAccountId": "string",
    "email": "string (required)",
    "isActive": "boolean",
    "persona": {
      "address": {
        "houseBuildingNumber": "string",
        "streetName": "string",
        "city": "string",
        "state": "string",
        "code": "string",
        "country": "string"
      },
      "contact": {
        "countryCode": "string",
        "phoneNumber": "string"
      },
      "profile": {
        "logo": "string",
        "business": [
          "…"
        ],
        "photos": [
          "…"
        ],
        "tags": [
          "…"
        ],
        "followers": [
          "…"
        ],
        "s3ImagePath": "string"
      }
    },
    "accountType": [
      "Customer"
    ],
    "name": "string (required)",
    "profileVisible": "boolean",
    "syncStatus": "boolean",
    "jsonSchema": "object",
    "geoCordinates": "object",
    "serviceProvidersEventProviderId": "string"
  }
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

## DELETE /account/{id}

Konto nach ID löschen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | String | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

## GET /account/{parentAccountId}/customer

Liste der Kunden nach übergeordneter ID abrufen (Kundennummer)

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| parentAccountId | path | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## GET /account/{parentAccountId}/sites/information

Liste der Standorte nach übergeordneter ID (Kundennummer) abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| parentAccountId | path | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## GET /account/{parentAccountId}/users

Liste der Benutzer nach übergeordneter ID (Kundennummer) abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| parentAccountId | path | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |